istgtcontrol(1)

NAME
istgtcontrol - istgt iSCSI target command utility

SYNOPSIS
istgtcontrol [options] <command> [<file>]

DESCRIPTION
istgtcontrol is a command and control utility for istgt(1). It can be used to query and change the status of a local or remote istgt instance.

istgtcontrol supports the commands denoted below to interact with the istgt instance. By default it connects and authenticates to the iSCSI target portal specified in the istgtcontrol.conf configuration file and uses CHAP credentials denoted there, if any. Both can be overridden by using the respecitve command line arguments.

COMMANDS

istgtcontrol understands the following commands which can be forwarded to istgt:

noop
    Do not actually do anything, but test responsiveness of the portal and test CHAP credentials only.

version
    Retrieve the istgt version number providing the iSCSI portal istgtcontrol connected to.

list
    List all, or the specified targets only, which shared by the portal.

load
    Load a new media to the specified unit. This command issues the same command as if a drive tray had been closed on a SCSI device.

unload
    Unload a media from the specified unit. This command issues the same command as if the drive tray had been opened from a SCSI device.

change file
    Change the loaded media by the specified unit. This command is equivalent as if a new media (for example a DVD-ROM or tape cartridge) had been inserted in the SCSI drive. The "file" argument is interpreted as filename to be loaded.

reset
    Reset the specified LUN of the portal.

info
    Display all connections of the portal

OPTIONS

-c config
    Use specified file as configuration file instead of the default file.

-h host
    Override the target portal by the specified host name or IP address. This defaults to "localhost" if no other host was specified in the configuration file.

-p port
    Override the target portal port by the specified port number. This defaults to "3261" if no other port was specified in the configuration file.

-t target
    Specifies the target IQN which should be affected by the command given. There may be a default given in the configuration file. The keyword "all" is accepted by some commands and matches all exported volumes.

-l lun
    Specifies the target LUN which should be affected by the command given. This defaults to "0" unless another default was provided in the configuration file.

-f flags
    Specifies flags passed to the portal when loading a new media. This defaults to "ro". Supported flags are: "ro", "rw", "extend" and "dynamic".

-s size
    Specifies the size of the meda to be loaded. The default is to auto-detect the media size.

-q  Quiet mode, supress non-critical outputs.

-v  Verbose mode, gives more output during operations.

-A method
    Sets the preferred authentication method for logging in to the portal. This overrides any method specified in the configuration file. Supported methods are either CHAP/Mutual or CHAP/Auto.

-U user
    Sets the user to authenticate on the portal. This overrides any username specified in the configuration file.

-S secret
    Set the secret used to authenticate on the portal. This overrides any secret specified in the configuration file.

-M muser
    Set the mutual authentication user. This overrides any user specified in the configuration file.

-R msecret
    Set the mutual authentication secret. This overrides any secret specified in the configuration file.

-H  Display a brief usage summary and exit.

-V  Display the istgtcontrol version number and exit.

FILES
/etc/istgt/istgtcontrol.conf
    Configuration file

SEE ALSO
istgt(1)

AUTHORS
Daisuke Aoyama <aoyama@peach.ne.jp>

This manual page was written by Arno Töll (<debian@toell.net>) for the Debian GNU/kFreeBSD system (but may be used by others).